| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
NPNZ_USER_DATA_BUFFER_s Struct Reference

`#include <power_control/drivers/npnz16b.h>`

Collaboration diagram for NPNZ_USER_DATA_BUFFER_s:

## Data Fields
volatile uint16_t | usrParam0
| generic 16-bit wide, user-defined parameter #1 for advanced control options More...
volatile uint16_t | usrParam1
| generic 16-bit wide, user-defined parameter #2 for advanced control options More...
volatile uint16_t | usrParam2
| generic 16-bit wide, user-defined parameter #3 for advanced control options More...
volatile uint16_t | usrParam3
| generic 16-bit wide, user-defined parameter #4 for advanced control options More...
volatile uint16_t | usrParam4
| generic 16-bit wide, user-defined parameter #5 for advanced control options More...
volatile uint16_t | usrParam5
| generic 16-bit wide, user-defined parameter #6 for advanced control options More...
volatile uint16_t | usrParam6
| generic 16-bit wide, user-defined parameter #7 for advanced control options More...
volatile uint16_t | usrParam7
| generic 16-bit wide, user-defined parameter #8 for advanced control options More...

## Detailed Description

Definition at line 474 of file npnz16b.h.

## Field Documentation

## ◆ usrParam0

volatile uint16_t usrParam0

generic 16-bit wide, user-defined parameter #1 for advanced control options

Definition at line 476 of file npnz16b.h.

## ◆ usrParam1

volatile uint16_t usrParam1

generic 16-bit wide, user-defined parameter #2 for advanced control options

Definition at line 477 of file npnz16b.h.

## ◆ usrParam2

volatile uint16_t usrParam2

generic 16-bit wide, user-defined parameter #3 for advanced control options

Definition at line 478 of file npnz16b.h.

## ◆ usrParam3

volatile uint16_t usrParam3

generic 16-bit wide, user-defined parameter #4 for advanced control options

Definition at line 479 of file npnz16b.h.

## ◆ usrParam4

volatile uint16_t usrParam4

generic 16-bit wide, user-defined parameter #5 for advanced control options

Definition at line 480 of file npnz16b.h.

## ◆ usrParam5

volatile uint16_t usrParam5

generic 16-bit wide, user-defined parameter #6 for advanced control options

Definition at line 481 of file npnz16b.h.

## ◆ usrParam6

volatile uint16_t usrParam6

generic 16-bit wide, user-defined parameter #7 for advanced control options

Definition at line 482 of file npnz16b.h.

## ◆ usrParam7

volatile uint16_t usrParam7

generic 16-bit wide, user-defined parameter #8 for advanced control options

Definition at line 483 of file npnz16b.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/drivers/npnz16b.h